Page MenuHomePhabricator

Upgrade Thumbor to Buster
Open, MediumPublic

Description

After successfully upgrading Thumbor to stretch, we can proceed with the upgrade to Debian buster.

Things to consider:

  • svg rendering

Repackage/rebuild for buster

  • 3d2png (or create a package)
  • python-libthumbor
  • python-thumbor-community-core
  • python-thumbor-wikimedia
  • Thumbor

Optional/Related tasks:

  • T212941 Investigate systemd hardening to replace Firejail for Thumbor
  • T212946 Stream Thumbor logs to logstash
  • T187765 Replace the Nginx fronting Thumbor with a reverse proxy capable of queuing requests

Related Objects

StatusAssignedTask
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
OpenNone
ResolvedMoritzMuehlenhoff
ResolvedKrenair
Resolved AlexMonk-WMF
Resolvedfgiunchedi
Resolved AlexMonk-WMF
ResolvedKrenair
Resolvedfgiunchedi
ResolvedKrenair
DeclinedNone
Resolvedmobrovac
ResolvedKrinkle
ResolvedKartikMistry
ResolvedKartikMistry
Resolved bd808
InvalidNone
DeclinedNone
Resolveddduvall
Resolveddduvall
OpenNone
OpenNone
OpenNone
ResolvedGilles
Resolvedfgiunchedi
Resolvedjijiki
ResolvedNone
Resolvedjijiki

Event Timeline

jijiki triaged this task as Medium priority.Feb 22 2019, 11:46 AM
jijiki created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2019, 11:46 AM
Ladsgroup added a subscriber: Ladsgroup.
Gilles updated the task description. (Show Details)Feb 25 2019, 9:22 AM
jijiki changed the status of subtask T193352: Update librsvg to ≥2.42.3 from Open to Stalled.Feb 28 2019, 10:14 AM
jijiki moved this task from Backlog/Radar to Pio Kato on the User-jijiki board.Apr 4 2019, 9:14 PM
This comment was removed by Gilles.